<?php


namespace Schaffen\Core\Person\Models;


use Illuminate\Database\Eloquent\Model;
use Schaffen\Core\Person\Traits\HasPerson;

class Contact extends Model
{
    use HasPerson;

    const CREATED_AT = "peco_date_insert";
    const CREATED_BY = "peco_user_insert";
    const UPDATED_AT = "peco_date_update";
    const UPDATED_BY = "peco_user_update";
    protected $prefix = 'peco';
    protected $connection = 'dynamicdb';
    protected $table = "cadastro.pessoa_contato";
    protected $primaryKey = "peco_codigo";
    protected $fillable = [
        "peco_fk_pes_codigo",
        "peco_fk_pes_codigo_contato",
        "peco_tipo",
        "peco_contato",
        "peco_email",
        "peco_telefone",
        "peco_padrao",
    ];
}